curl --request PUT \
--url https://caliper.alpha-1edtech.ai/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": true,
"sensor": "sensor123"
}
'{
"webhook": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": true,
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"deletedAt": "2021-01-01T00:00:00.000Z",
"sensor": "sensor123"
}
}Updates an existing webhook by ID
curl --request PUT \
--url https://caliper.alpha-1edtech.ai/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": true,
"sensor": "sensor123"
}
'{
"webhook": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Webhook",
"description": "This webhook is used to send data to the example.com/webhook",
"targetUrl": "https://example.com/webhook",
"secret": "secret123",
"active": true,
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"deletedAt": "2021-01-01T00:00:00.000Z",
"sensor": "sensor123"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The webhook to update
The name of the webhook
"My Webhook"
The description of the webhook
"This webhook is used to send data to the example.com/webhook"
The URL that the webhook will send the data to
"https://example.com/webhook"
The secret that the webhook will use to authenticate the data
"secret123"
Whether the webhook is active
true
The sensor that the webhook is associated with
"sensor123"
Webhook updated successfully
Show child attributes